apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    alb.ingress.kubernetes.io/actions.ssl-redirect: '{"Type": "redirect", "RedirectConfig":
      { "Protocol": "HTTPS", "Port": "443", "StatusCode": "HTTP_301"}}'
    #alb.ingress.kubernetes.io/certificate-arn: <seu-certificateARN-na-AWS> #excluir essa linha caso nao for utilizar certificado
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80}, {"HTTPS": 443}]'
    alb.ingress.kubernetes.io/scheme: internet-facing      
    kubernetes.io/ingress.class: alb
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: admin-ingress
  namespace: app-main
spec:
  backend:
    serviceName: application-service
    servicePort: 5000
  rules:
  - host: http://adm.teste-claudio.com
    http:
      paths:
      - backend:
          serviceName: application-service 
          servicePort: 5000
        path: /admin